package admin.util;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.List;

/**
 * @author lj
 * @date 2025/3/5 14:23
 */
@Getter
@AllArgsConstructor
public enum ResponseEnum{
    ZK_PROFILE(1,"中科慧居简介",null),
    PIE_CHART(2,"饼状图",null),
    BAR_CHART(3,"柱状图",null),
    TREND_CHART(4,"趋势图",null),
    ZK_PRODUCT(5,"中科慧居产品介绍",null),
    ZK_USER(6,"中科慧居人员介绍",null),
    ZK_SOFTWARE(7,"中科慧居软件介绍",null),
    ZK_SMH(8,"物联网超级魔盒", Arrays.asList("https://bj-img.justh5.com/newBigScreen/product/wlhh1.png", "https://bj-img.justh5.com/newBigScreen/product/wlhh2.png")),
    ZK_WHETC(8,"无线高位视频+ETC系列设备", Arrays.asList("https://bj-img.justh5.com/newBigScreen/product/wxgw1.png", "https://bj-img.justh5.com/newBigScreen/product/wxgw2.png")),
    ZK_WVP(8,"无线视频桩", Arrays.asList("https://bj-img.justh5.com/newBigScreen/product/wxsp1.png", "https://bj-img.justh5.com/newBigScreen/product/wxsp2.png")),
    ZK_WCC(8,"无线路牙机", Arrays.asList("https://bj-img.justh5.com/newBigScreen/product/lyj1.jpg")),
    ZK_IRV(8,"巡检车", Arrays.asList("https://bj-img.justh5.com/newBigScreen/product/xjc1.png", "https://bj-img.justh5.com/newBigScreen/product/xjc2.png")),
    ZK_SPPL(8,"太阳能平板地锁", Arrays.asList("https://bj-img.justh5.com/newBigScreen/product/tyn1.png", "https://bj-img.justh5.com/newBigScreen/product/tyn2.png")),
    ZK_APS(8,"立体车库", Arrays.asList("https://bj-img.justh5.com/newBigScreen/product/ltck1.png", "https://bj-img.justh5.com/newBigScreen/product/ltck2.png")),
    ZK_ISCW(8,"自助洗车一体化场景", Arrays.asList("https://bj-img.justh5.com/newBigScreen/product/tcc3.png", "https://bj-img.justh5.com/newBigScreen/product/tcc4.png")),
    ZK_IPCS(8,"停充储一体化服务", Arrays.asList("https://bj-img.justh5.com/newBigScreen/product/tcc1.png", "https://bj-img.justh5.com/newBigScreen/product/tcc2.png"));
    int type;
    String desc;
    List<String> imgs;

}
